.card {
    /* max-width: 400px; */
    /* aspect-ratio: 4/3; */
    background-color: rgba(255, 255, 255, 0.12);
    padding: 36px;
    display: flex;
    flex-direction: column;
    gap: 1em;
    align-items: start;
    justify-content: center;
    border: 1px solid rgba(255, 255, 255, 0.08);
    box-shadow: 0 35px 219px 0 rgba(0, 0, 0, 0.11);
    border-radius: 34px;
    width: fit-content;
    height: fit-content;
    min-width: 300px;
    min-height: 50px;
    max-width: 400px;
    /* opacity: 0;
    filter: blur(25px);
    transform: translateZ(120px); */

    /* transition: opacity 1s, filter 1s, transform 1s; */
}

/* 
.visible {
    opacity: 1;
    filter: blur(0px);
    transform: translateZ(0px);
} */

body {
    background: #2F2F33;
    margin: 0;
    padding: 0;
    perspective: 1000px;
    overflow: hidden;
    transform-style: preserve-3d;
    height: 100vh;
    width: 100vw;
}

.spacer {
    height: 100vh;
}

h1,
h2,
h3,
h4 {
    text-align: left;
    width: 100%;
    padding: 0;
    margin: 0;
    color: white;
    font-family: "neue-haas-grotesk-display", sans-serif;
    text-wrap: pretty;
}

h5,
h6,
p {
    text-align: left;
    width: 100%;
    padding: 0;
    margin: 0;
    color: white;
    font-family: "neue-haas-grotesk-text", sans-serif;
}

p,
input {
    font-size: 1em;
    color: white;
    font-family: "neue-haas-grotesk-text", sans-serif;
}

.cardBlock {
    corner-shape: superellipse(1.4);
    display: flex;
    flex-direction: column;
    gap: 0px;
}

h1 {
    font-size: 1em;
    text-transform: uppercase;
    font-weight: 400;

    color: rgba(255, 255, 255, 0.6);
}


h2 {
    font-size: 2em;
    font-weight: 600;
    opacity: 1;
}

h3 {
    font-size: 1.4em;
    font-weight: 500;
    opacity: 1;
}

.companyCard {
    background-color: rgba(255, 255, 255, 0.31);
}

.companyCard h1,
.companyCard h2,
.companyCard h3,
.companyCard h4,
.companyCard h5,
.companyCard h6,
.companyCard p {
    text-shadow:
        0px 0px 5px rgb(255, 255, 255, 0.7),
        0px 0px 35px rgb(255, 255, 255, 0.4),
        0px 0px 65px rgb(255, 255, 255, 0.8);
}


.sidenoteCard {
    background-color: rgba(255, 255, 255, 0.05);
    border: 1px solid rgba(255, 255, 255, 0.05);
    opacity: 0.6;
    min-width: none;
}

.sidenoteCard h1,
.sidenoteCard h2,
.sidenoteCard h3,
.sidenoteCard h4,
.sidenoteCard h5,
.sidenoteCard h6,
.sidenoteCard p {
    opacity: 0.7;
}


.section {
    position: fixed;
    top: 0;
    left: 0;
    height: 100vh;
    width: 100vw;
    margin: 0;
    padding: 0;
    perspective: 100px;
    /* overflow: hidden; */
    transform-style: preserve-3d;
}




.fileSearchApp {
    position: fixed;
    top: 0;
    left: 0;
    height: 100vh;
    width: 100vw;
    display: flex;
    align-items: center;
    justify-content: center;
    perspective: 40em;
}


.emailApp {
    position: fixed;
    top: 0;
    left: 0;
    height: 100vh;
    width: 100vw;
    display: flex;
    align-items: center;
    justify-content: center;
    perspective: 40em;
}

.window {
    width: 60%;
    aspect-ratio: 10/6;
    background-color: rgba(255, 255, 255, 0.12);


    padding: 8px;
    display: flex;
    flex-direction: column;
    gap: 1em;
    align-items: start;
    justify-content: center;
    border: 1px solid rgba(255, 255, 255, 0.08);
    box-shadow: 0 35px 219px 0 rgba(0, 0, 0, 0.11);
    border-radius: 44px;

}

.emailWindow {
    width: fit-content;
    height: fit-content;
    aspect-ratio: unset !important;
    /* box-sizing: border-box; */
    padding: 8px;
}

.windowControls {
    display: flex;
    flex-direction: row;
    gap: 8px;
    padding-left: 24px;
}

.windowControl {
    width: 19px;
    height: 19px;
    border-radius: 50%;
    border: white solid 1px;
    opacity: 0.4;
}

.windowTopBar {
    width: 100%;
    display: flex;
    flex-direction: row;
    align-items: center;
    justify-content: space-between;
    gap: 8px;
    height: fit-content;
    margin: 0;
    padding: 0;

}

button {
    width: 100%;
    max-width: 300px;

    display: flex;
    align-items: center;
    padding: 12px;
    background-color: rgba(255, 255, 255, 0.12);
    border-radius: 100px;
    border: 1px solid rgba(255, 255, 255, 0.05);
    height: 68px;
    box-sizing: border-box;
    padding-left: 18px;
    font-size: 1em;
    transition: scale 0.2s, filter 0.3s, opacity 0.3s;
    scale: 1;
    filter: blur(0px);
    opacity: 1;
}

.hiddenBtn {
    scale: 0.95;
    filter: blur(15px);
    opacity: 0;
}

button:hover {
    filter: brightness(1.1);
}

button:active {
    filter: brightness(0.95);
    scale: 0.975;
}

button p {
    text-align: center;
    opacity: 0.7;
}

.windowContent {
    display: grid;
    grid-template-columns: repeat(5, 1fr);
    grid-template-rows: repeat(3, 1fr);
    gap: 24px;
    width: 100%;
    height: 100%;
    box-sizing: border-box;
    padding: 1em;
    /* background-color: red; */
    /* display: none; */
}

.blankSearchScreen {
    width: 100%;
    height: 100%;
    display: flex;
    flex-direction: column;
    align-items: center;
    justify-content: center;
    gap: 1em;
    /* display: none; */
}

#blankSearchTitle {
    text-align: center;
    font-size: 2em;
    font-weight: 550;
}

#blankSearchDescription {
    text-align: center;
    font-size: 1.2em;
    opacity: 0.7;
}

#searchIcon {
    width: 48px;
    height: 48px;
    opacity: 0.6;
}


.searchedImg {
    width: 100%;

    overflow: hidden;
    /* background-color: red; */
    display: flex;
    flex-direction: column;
    align-items: center;
    justify-content: center;
    padding: 1em;
    gap: 0.75em;
    box-sizing: border-box;
}

.searchedImgImg {
    width: 100%;
    height: 100%;
    aspect-ratio: 1/1;
    object-fit: cover;
    border-radius: 16px;
    border: solid rgba(255, 255, 255, 0.05) 1.5px;
}

.searchedImgFilename {
    font-size: 1.2em;
    font-weight: 500;
    color: white;
    font-family: "neue-haas-grotesk-display", sans-serif;
    opacity: 0.7;
    text-align: center;
}

.filters {
    display: flex;
    flex-direction: row;
    gap: 8px;
    align-items: center;
    width: fit-content;
    padding: 12px;
    background-color: rgba(255, 255, 255, 0.12);
    border-radius: 100px;
    border: 1px solid rgba(255, 255, 255, 0.05);
    height: 68px;
    box-sizing: border-box;
    padding-left: 18px;
}

.smartreplies {
    display: flex;
    flex-direction: column;
    gap: 8px;
    align-items: center;
    width: fit-content;
    padding: 12px;
    height: fit-content;
    box-sizing: border-box;
    padding-left: 18px;
}

.notifWindow {
    width: fit-content;
    position: absolute;
    top: 70vh;
    height: fit-content;
    background-color: rgba(255, 255, 255, 0.12);


    padding: 1em;
    box-sizing: border-box;
    display: flex;
    flex-direction: column;
    gap: 1em;
    align-items: start;
    justify-content: center;
    border: 1px solid rgba(255, 255, 255, 0.08);
    box-shadow: 0 35px 219px 0 rgba(0, 0, 0, 0.11);
    border-radius: 44px;
    transition: opacity 0.3s, filter 0.3s, top 0.3s;
}

.emailWindow2 {
    position: absolute;
    top: 30%;
    left: 20%;
}

.writeEmailWindow {
    width: fit-content;
    position: absolute;
    top: 40%;
    left: 50%;
    height: fit-content;
    background-color: rgba(255, 255, 255, 0.12);

    padding: 1em;
    box-sizing: border-box;
    display: flex;
    flex-direction: column;
    gap: 1em;
    align-items: start;
    justify-content: center;
    border: 1px solid rgba(255, 255, 255, 0.08);
    box-shadow: 0 35px 219px 0 rgba(0, 0, 0, 0.11);
    border-radius: 44px;
    transition: opacity 0.3s, filter 0.3s, top 0.3s;
}

#writingArea {
    min-width: 500px;
    width: 50%;
    aspect-ratio: 10/7;
    padding: 12px;
    background-color: rgba(255, 255, 255, 0.12);
    border-radius: 24px;
    border: 1px solid rgba(255, 255, 255, 0.05);
}

.hiddenNotif {
    opacity: 0;
    filter: blur(25px);
    top: 80vh;
}

.notifWindow p {
    padding: 1em;
}

#jumpInBtnSR {
    width: 100%;
    max-width: 100% !important;

}

.smartRepliesList {
    display: flex;
    flex-direction: row;
    gap: 8px;
    align-items: center;
    width: fit-content;
    /* padding: 12px; */
    height: 68px;
    box-sizing: border-box;
    /* padding-left: 18px; */
}

#smartrepliestitle {
    font-weight: 600;
    font-size: 1.5em;
}

.emailBody {
    padding: 2em;
}


.smartReplyBtn {
    text-wrap: nowrap;
}

#subject {
    font-weight: 600;
    font-size: 2.2em;
}

.filterSingle {
    text-wrap: nowrap;
    /* overflow: hidden; */
    padding: 12px;
    display: flex;
    width: fit-content;
    flex-direction: row;
    gap: 0;
    align-items: center;
    justify-content: center;
    background: rgba(255, 255, 255, 0.08);
    border: 1px solid rgba(255, 255, 255, 0.05);
    border-radius: 100px;
}

.searchbar {
    height: 68px;
    box-sizing: border-box;
    background-color: rgba(255, 255, 255, 0.12);
    border-radius: 100px;
    border: 1px solid rgba(255, 255, 255, 0.05);
    padding: 12px;
    box-sizing: border-box;
    padding-left: 18px;
}


.section0 {
    z-index: 10;
}

.section1 {
    z-index: 9;
}

.particle {
    position: absolute;
    left: 40%;
    top: 40%;
    width: 4px;
    height: 4px;
    background-color: white;
    border-radius: 50%;
    opacity: 0.8;
}

.map {
    background-color: rgba(255, 255, 255, 0.12);
    border: 1px solid rgba(255, 255, 255, 0.08);
    box-shadow: 0 35px 219px 0 rgba(0, 0, 0, 0.11);
    border-radius: 34px;
    width: 25%;

    min-width: 300px;
    max-width: 350px;
    aspect-ratio: 1/1;
    z-index: 1231231;
    position: absolute;
    bottom: 1em;
    right: 1em;
    backdrop-filter: blur(20px);
    box-sizing: border-box;
}

#mapImg {

    width: 100%;
    height: 100%;
    background-size: cover;
    border-radius: 34px;
    box-sizing: border-box;
}

#canvas {
    position: absolute;
    width: 100vw;
    height: 100vh;
    filter: blur(125px);
    background: #2F2F33;
    z-index: -120;
    pointer-events: none;

}

#debugger {
    position: absolute;
}


.phoneFaceId {

    height: 80%;
    width: 22%;
    background-color: rgba(255, 255, 255, 0.12);


    padding: 8px;
    display: flex;
    flex-direction: column;
    gap: 1em;
    align-items: center;
    justify-content: space-between;
    border: 1px solid rgba(255, 255, 255, 0.08);
    box-shadow: 0 35px 219px 0 rgba(0, 0, 0, 0.11);
    border-radius: 64px;
}

#islandAndTime {
    width: 100%;
    display: flex;
    flex-direction: column;
    align-items: center;
    gap: 1em;
}

#island {
    width: 50%;
    height: 74px;
    background-color: black;
    border-radius: 120px;
    margin-top: 12px;
    border: solid rgba(255, 255, 255, 0.2) 1.5px;
    display: flex;
    justify-content: start;
    align-items: center;
    transition: scale 0.3s, filter 0.3s;
}

#island:hover {
    scale: 1.1;
    filter: brightness(1.2);
}

#island:active {
    scale: 1.2;
    filter: brightness(1);
}

#currentTime,
#currentTime2 {
    font-size: 7em;
    font-weight: 700;
    text-align: center;
    transform: translateY(-20px);
}

.btnsAtBottom {
    display: flex;
    justify-content: space-between;
    align-items: end;
    width: 100%;
    padding: 1em;
    box-sizing: border-box;
}

.bottomBtn {
    width: 64px;
    height: 64px;
    background-color: rgba(255, 255, 255, 0.12);
    border-radius: 100px;
    border: 1px solid rgba(255, 255, 255, 0.05);
    box-sizing: border-box;
    padding-left: 18px;
}

#bottomBtn1 {
    background-image: url(/img/flashlightIcon.svg);
    background-size: 70%;
    background-repeat: no-repeat;
    background-position: center;
}

#bottomBtn2 {
    background-image: url(/img/cameraIcon.svg);
    background-size: 70%;
    background-repeat: no-repeat;
    background-position: center;
}

#lockIcon {
    background-image: url(/img/lockIcon.svg);
    width: 44px;
    height: 44px;
    background-size: cover;
    margin-left: 12px;

}

#unlockIcon {
    background-image: url(/img/unlockIcon.svg);
    width: 44px;
    height: 44px;
    background-size: cover;
    margin-left: 12px;

}

#dateAndInfo,
#dateAndInfo2 {
    opacity: 0.7;
    text-align: center;

}

.homeBar {
    background-color: rgba(255, 255, 255, 0.25);
    border-radius: 100px;
    border: 1px solid rgba(255, 255, 255, 0.05);
    height: 12px;
    width: 40%;
    margin-bottom: 12px;
    transition: filter 0.3s, opacity 0.3s
}

.homeBarHidden {
    filter: blur(25px);
    opacity: 0;
}

#bigTitle {
    font-size: 2em;
    font-weight: 500;
    text-transform: none;
    opacity: 0.7;
}

#homepageContainer {
    width: 100vw;
    height: 100vh;
    display: flex;
    align-items: center;
    justify-content: center;
}

#homepageContent {
    display: flex;
    flex-direction: column;
    gap: 1em;
    width: 60%;
    min-width: 300px;
    height: fit-content;
}

#homepageLinks {
    width: 100%;
    display: flex;
    flex-direction: row;
    gap: 1em;
}

.homepageLink {
    width: 100%;
    aspect-ratio: 4/3;
    background-size: cover;
    opacity: 1;
    display: block;
    border-radius: 24px;
    transition: scale 0.3s, filter 0.3s;
    background-repeat: no-repeat;
    border: solid rgba(255, 255, 255, 0.15) 1.5px;
}

.homepageLink:hover {
    scale: 1.025;
    filter: brightness(1.4);
}

.homepageLink:active {
    scale: 0.975;
    filter: brightness(0.8);
}


#filesearchPage {
    background-image: url(/img/pages/filesearch.svg);
}

#smartrepliesPage {
    background-image: url(/img/pages/smartreply.svg);
}

#faceIdPage {
    background-image: url(/img/pages/faceid.svg);
}



.finalEnd {
    pointer-events: auto !important;
    /* z-index: 1; */
}

footer {
    display: flex;
    flex-direction: row;
    justify-content: space-between;
    align-items: center;
    z-index: 12345;
    width: calc(100vw - 2em);
    height: fit-content;
    position: fixed;
    bottom: 1em;
    right: 1em;
    left: 1em;
}


#sourcesBtn {
    width: 100%;
    max-width: 300px;

    display: flex;
    align-items: center;
    justify-content: center;
    padding: 12px;
    background-color: rgba(255, 255, 255, 0.12);
    border-radius: 100px;
    border: 1px solid rgba(255, 255, 255, 0.05);
    height: 68px;
    box-sizing: border-box;
    padding-left: 18px;
    font-size: 1em;
    transition: scale 0.2s, filter 0.3s, opacity 0.3s;
    scale: 1;
    filter: blur(0px);
    opacity: 1;
    color: white;
    text-align: center;
    text-decoration: none;
    width: 100%;
    padding: 0;
    margin: 0;
    color: white;
    font-family: "neue-haas-grotesk-text", sans-serif;
}


#sourcesBtn:hover {
    filter: brightness(1.1);
}

#sourcesBtn:active {
    filter: brightness(0.95);
    scale: 0.975;
}


.meLink {
    opacity: 1;
    color: white;
    text-align: left;
    text-decoration: none;
    width: 100%;
    padding: 0;
    margin: 0;
    color: white;
    font-family: "neue-haas-grotesk-text", sans-serif;
}

.singleSource {
    width: calc(100% - 4em);
    height: 64px;
    background-size: cover;
    opacity: 1;
    display: block;
    border-radius: 24px;
    transition: scale 0.3s, filter 0.3s;
    background-repeat: no-repeat;
    border: solid rgba(255, 255, 255, 0.05) 1.5px;
    background-color: rgba(255, 255, 255, 0.05);
    display: flex;
    align-items: center;
    justify-content: start;
    color: white;

    text-align: left;
    text-decoration: none;
    padding-left: 1em;
margin-left: 1em;
    color: white;
    font-family: "neue-haas-grotesk-text", sans-serif;

    transition: scale 0.3s, filter 0.3s;
}

#sourcesList {
    overflow-y: scroll;
    max-height: 80vh;
    /* overflow-x: hidden; */
    width: 100%;
    gap: 0.5em;
    display: flex;
    flex-direction: column;

}

.singleSource:hover {
    scale: 1.01;
    filter: brightness(1.4);
}


.singleSource:active {
    scale: 0.95;
    filter: brightness(0.95);
}

#mainPageBigContainer {
    width: 100%;
    display: flex;
    align-items: center;
    justify-content: center;
}

#bigTitleSources {
      font-size: 2em;
    font-weight: 500;
    text-transform: none;
    opacity: 0.7;
    padding-left: 1em;
}